Attribute VB_Name = "Module1"
Public fMainForm As frmMain

' Global Variables

'Communication parameters
Public comPort As Integer
Public baudRate As String
Public parity As String
Public commBit As String
Public stopBit As String

Public Const NO_ERROR As Integer = 0
Public Const OP_RETRY As Integer = 1
Public Const OP_NO_RETRY As Integer = 2

Public Const MAX_NUM_RETRY As Integer = 3


Sub Main()
    Set fMainForm = New frmMain
    
    ' To show the program name and the release number on the form
    ' Mostra nome programma e versione sulla main form
    fMainForm.Caption = "EpsonDriverFp2Ocx_Demo " & App.Major & "." & App.Minor & "." & App.Revision
    
    ' By default English language
    fMainForm.selectEnglish.Value = True
    
    ' By default Only msg box for Printer Off Line events
    ' Per default si visualizzano a video i soli messaggi di printer Off Line
    fMainForm.msgBoxEnabled.Value = True
    
    ' By default the reset printer can be done by the program
    ' Per default viene abilitato il reset automatico della stampante
    fMainForm.prnResetEnabled.Value = True
    
    
    ' Communication parameter setup
    ' Impostazione parametri di comunicazione
    fMainForm.commSetUpManagement

    ' Attiva la form principale
    ' Show the form
    fMainForm.Show
End Sub

